Subject: [Ecrit] Comments on draft-rosen-sos-phonebcp-00.txt

From: "Drage, Keith (Keith)" <[email-masked]>
Date: Fri, 24 Mar 2006 17:21:07 -0000

I had a quick look through this document and had a few comments as follows:

Section 2: the list of steps involved in an emegency call. From the 3GPP perspective, and possibly also from a WiFi perspective, I would have expected the first step to talk about gaining access to some network infrastructure that supports connection to PSAPs. As you can see I'm not sure how to word this generally, but if I can give you an example of the current IMS sequence from 3GPP TS 23.167 this would involve:
-	establishing a GPRS connection to an emergency APN; this would lead you to a GGSN in the local network and therefore a special P-CSCF in the local network (i.e. give you an IP connection to a SIP proxy in the local network). Normal IMS operation in 3GPP may well involve a GGSN and P-CSCF in the home network, particularly in a network's early deployment, and one wants to avoid generating the emergency call through this direction if possible.
-	authenticating (in IMS using the REGISTER message) with both the local equipment and the home network to ensure that the phone is as claimed in later communication. Obviously this does not happen in the UICC less case, but that case is only allowed in some countries, not all.

Section 6.1: We have a number of places here where the devices AoR could appear, and in this document only the From header is mentioned. 
-	I would have expected a requirement for all headers that support the AoR to be populated if the terminal supports that extension (i.e. RFC 3325, draft-ietf-sip-identity). 
-	Note that in the UICC less case in 3GPP, there is not necessarily any AoR. 
-	If the user supports GRUU, should this play any part in these AoR.

Section 6.1: You RECOMMEND location by-value. That is fine, but you need to discuss the conditions under which this may not be used. For example, if the reference is in the local network infrastructure, then location by reference may well be OK. If the reference is in the user's own local servers, and his house is burning down, then location by reference would be very inappropriate.

There may be other comments as the work progresses.

regards

Keith

Keith Drage
Lucent Technologies
[email-masked]
tel: +44 1793 776249

_______________________________________________
Ecrit mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ecrit